Xerces-J API: Class EncodingInfo

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.serialize
Class EncodingInfo

    java.lang.Object
      |
      +--org.apache.xml.serialize.EncodingInfo

Direct Known Subclasses:
  SieveEncodingInfo

public class EncodingInfo
extends java.lang.Object

This class represents an encoding.

Version:
  $Id: EncodingInfo.java,v 1.1 2000/12/14 19:21:50 lehors Exp $

Constructor Summary
`EncodingInfo(java.lang.String mimeName, int lastPrintable)` Creates new `EncodingInfo` instance.
`EncodingInfo(java.lang.String mimeName, java.lang.String javaName, int lastPrintable)` Creates new `EncodingInfo` instance.

Method Summary
`java.lang.String` | `getName()` Returns a MIME charset name of this encoding.
`java.io.Writer` | `getWriter(java.io.OutputStream output)` Returns a writer for this encoding based on an output stream.
`boolean` | `isPrintable(int ch)` Checks whether the specified character is printable or not.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EncodingInfo

    public EncodingInfo(java.lang.String mimeName,
                        java.lang.String javaName,
                        int lastPrintable)

  Creates new `EncodingInfo` instance.

### EncodingInfo

    public EncodingInfo(java.lang.String mimeName,
                        int lastPrintable)

  Creates new `EncodingInfo` instance.

Method Detail

### getName

    public java.lang.String getName()

  Returns a MIME charset name of this encoding.

### getWriter

    public java.io.Writer getWriter(java.io.OutputStream output)
                             throws java.io.UnsupportedEncodingException

  Returns a writer for this encoding based on an output stream.
  Returns:
    A suitable writer
  Throws:
    java.io.UnsupportedEncodingException - There is no convertor to support this encoding

### isPrintable

    public boolean isPrintable(int ch)

  Checks whether the specified character is printable or not.
  Parameters:
    `ch` - a code point (0-0x10ffff)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.